'use strict';

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _server = require('react-dom/server');

var _Media = require('../Media');

var _Media2 = _interopRequireDefault(_Media);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('A <Media>', function () {
  var node = void 0;
  beforeEach(function () {
    node = document.createElement('div');
  });

  describe('with a query that matches', function () {
    it('renders its child', function () {
      var query = '(max-width: ' + window.innerWidth + 'px)';

      (0, _reactDom.render)(_react2.default.createElement(
        _Media2.default,
        { query: query },
        _react2.default.createElement(
          'div',
          null,
          'hello'
        )
      ), node, function () {
        (0, _expect2.default)(node.firstChild.innerHTML).toMatch(/hello/);
      });
    });
  });

  describe('with a query that does not match', function () {
    it('does not render its child', function () {
      var query = '(min-width: ' + (window.innerWidth + 1) + 'px)';

      (0, _reactDom.render)(_react2.default.createElement(
        _Media2.default,
        { query: query },
        _react2.default.createElement(
          'div',
          null,
          'hello'
        )
      ), node, function () {
        (0, _expect2.default)(node.firstChild.innerHTML).toNotMatch(/hello/);
      });
    });
  });

  describe('rendered on the server', function () {
    it('renders its child', function () {
      var markup = (0, _server.renderToStaticMarkup)(_react2.default.createElement(
        _Media2.default,
        { query: '(min-width: 200px)' },
        _react2.default.createElement(
          'div',
          null,
          'hello'
        )
      ));

      (0, _expect2.default)(markup).toMatch(/hello/);
    });
  });
});